#ifndef CONST_DEFINE_H
#define CONST_DEFINE_H

enum class ConstDefine {
    CONNECTING = 0,
    CONNECT_SUCCESS,
    CONNECT_FAILED,
    KICKED_OFFLINE,
    USER_TOKEN_EXPIRED,
    JOINED_GROUP_ADDED,
    JOINED_GROUP_DELETED,
    GROUP_MEMBER_ADDED,
    GROUP_MEMBER_DELETED,
    GROUP_APPLICATION_ADDED,
    GROUP_APPLICATION_DELETED,
    GROUP_INFO_CHANGED,
    GROUP_DISMISSED,
    GROUP_MEMBER_INFO_CHANGED,
    GROUP_APPLICATION_ACCEPTED,
    GROUP_APPLICATION_REJECTED,
    FRIEND_APPLICATION_ADDED,
    FRIEND_APPLICATION_DELETED,
    FRIEND_APPLICATION_ACCEPTED,
    FRIEND_APPLICATION_REJECTED,
    FRIEND_ADDED,
    FRIEND_DELETED,
    FRIEND_INFO_CHANGED,
    BLACK_ADDED,
    BLACK_DELETED,
    SYNC_SERVER_START,
    SYNC_SERVER_FINISH,
    SYNC_SERVER_PROGRESS,
    SYNC_SERVER_FAILED,
    NEW_CONVERSATION,
    CONVERSATION_CHANGED,
    TOTAL_UNREAD_MESSAGE_COUNT_CHANGED,
    RECV_NEW_MESSAGE,
    RECV_C2C_READ_RECEIPT,
    RECV_GROUP_READ_RECEIPT,
    NEW_RECV_MESSAGE_REVOKED,
    RECV_MESSAGE_EXTENSIONS_CHANGED,
    RECV_MESSAGE_EXTENSIONS_DELETED,
    RECV_MESSAGE_EXTENSIONS_ADDED,
    RECV_OFFLINE_NEW_MESSAGE,
    MSG_DELETED,
    RECV_NEW_MESSAGES,
    RECV_OFFLINE_NEW_MESSAGES,

    SELF_INFO_UPDATED,
    USER_STATUS_CHANGED,

    RECV_CUSTOM_BUSINESS_MESSAGE,

    MESSAGE_KV_INFO_CHANGED,

    OPEN,
    PART_SIZE,
    HASH_PART_PROGRESS,
    HASH_PART_COMPLETE,
    UPLOAD_ID,
    UPLOAD_PART_COMPLETE,
    UPLOAD_COMPLETE,
    COMPLETE,
    CONVERSATION_USER_INPUT_STATUS_CHANGED,
    RECV_ONLINE_ONLY_MESSAGE,
    NEW_RECV_MESSAGE_EDIT,

    USER_TOKEN_INVALID,

    ON_PROGRESS,
    JOINED_CHANNEL_ADDED,
    JOINED_CHANNEL_DELETED,
    CHANNEL_MEMBER_ADDED,
    CHANNEL_MEMBER_DELETED,
    CHANNEL_APPLICATION_ADDED,
    CHANNEL_APPLICATION_DELETED,
    CHANNEL_INFO_CHANGED,
    CHANNEL_DISMISSED,
    CHANNEL_MEMBER_INFO_CHANGED,
    CHANNEL_APPLICATION_ACCEPTED,
    CHANNEL_APPLICATION_REJECTED,
};




#endif // EVENT_TYPES_H